Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Virtual Private Cloud
  • Getting started
  • DDoS Protection
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • ListSubnets
        • ListSecurityGroups
        • ListRouteTables
        • ListOperations
        • Move
  • Metrics Monitoring
  • Audit Trails events
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Query parameters
  • Response
  • Network
  1. API reference
  2. REST
  3. Network
  4. List

Virtual Private Cloud API, REST: Network.List

Written by
Yandex Cloud
Updated at June 18, 2026
  • HTTP request
  • Query parameters
  • Response
  • Network

Retrieves the list of Network resources in the specified folder.

HTTP requestHTTP request

GET https://vpc.api.cloud.yandex.net/vpc/v1/networks

Query parametersQuery parameters

Field

Description

folderId

string

ID of the folder to list networks in.
To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request.
The length must be less than or equal to 50.
This field is required.

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize,
the service returns a ListNetworksResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests. Default value: 100.
The value must be less than or equal to 1000.

pageToken

string

Page token. To get the next page of results, set pageToken to the
ListNetworksResponse.nextPageToken returned by a previous list request.
The length must be less than or equal to 100.

filter

string

A filter expression that filters resources listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering only on the Network.name field.
  2. An = operator.
  3. The value in double quotes ("). Must be 3-63 characters long and match the regular expression [a-z][-a-z0-9]{1,61}[a-z0-9].
    The length must be less than or equal to 1000.

ResponseResponse

HTTP Code: 200 - OK

{
  "networks": [
    {
      "id": "string",
      "folderId": "string",
      "createdAt": "string",
      "name": "string",
      "description": "string",
      "labels": "object",
      "defaultSecurityGroupId": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

networks[]

Network

List of Network resources.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListNetworksRequest.pageSize, use
the nextPageToken as the value
for the ListNetworksRequest.pageToken query parameter
in the next list request. Subsequent list requests will have their own
nextPageToken to continue paging through the results.

NetworkNetwork

A Network resource. For more information, see Networks.

Field

Description

id

string

ID of the network.

folderId

string

ID of the folder that the network belongs to.

createdAt

string (date-time)

Creation timestamp in RFC3339 text format.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Name of the network.
The name is unique within the folder.
Value must match the regular expression ``\

a-zA-Z?``.

description

string

Optional description of the network. 0-256 characters long.

labels

object (map<string, string>)

Resource labels as key:value pairs.
No more than 64 per resource.
The maximum string length in characters for each value is 63.
Each value must match the regular expression [-_0-9a-z]*.
The string length in characters for each key must be 1-63.
Each key must match the regular expression [a-z][-_0-9a-z]*.

defaultSecurityGroupId

string

ID of default security group for network.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.